Loading...
Searching...
No Matches
QtImageReader.h File Reference

Header file for QtImageReader class. More...

`#include <memory>`
`#include <string>`
`#include <QString>`
`#include <QSize>`
`#include "ReaderBase.h"`
`#include "Json.h"`
`#include "ResvgQt.h"`
`#include <QImage>`

Go to the source code of this file.

## Classes

class | openshot::QtImageReader
| This class uses the Qt library, to open image files, and return openshot::Frame objects containing the image. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | RESVG_VERSION_MIN(a, b)

## Detailed Description

Header file for QtImageReader class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file QtImageReader.h.

## Macro Definition Documentation

## RESVG_VERSION_MIN

#define RESVG_VERSION_MIN | ( |  | a,
|  |  | b
| ) |  |

Value:
(\
RESVG_MAJOR_VERSION > a \
|| (RESVG_MAJOR_VERSION == a && RESVG_MINOR_VERSION >= b) \
)

Definition at line 30 of file QtImageReader.h.